Loading...
Searching...
No Matches
XrdOssTrace.hh File Reference
`#include "XrdSys/XrdSysTrace.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
Include dependency graph for XrdOssTrace.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DEBUG(y)
#define | EPNAME(x)
#define | QTRACE(act)
#define | TRACE(act, x)
#define | TRACE_AIO 0x0004
#define | TRACE_ALL 0x0fff
#define | TRACE_Debug 0x0800
#define | TRACE_Open 0x0002
#define | TRACE_Opendir 0x0001
#define | TRACEReturn(type, ecode, msg)

## Macro Definition Documentation

## DEBUG

#define DEBUG | ( |  | y | ) |

Value:
if (QTRACE(Debug)) {SYSTRACE(OssTrace., 0, epname, 0, y)}
QTRACE
#define QTRACE(act)
Definition XrdCmsTrace.hh:49
OssTrace
XrdSysTrace OssTrace
Debug
bool Debug
Definition XrdSecgsiProxy.cc:95
SYSTRACE
#define SYSTRACE(obj, usr, epn, txt, dbg)
Definition XrdSysTrace.hh:45

Definition at line 55 of file XrdOssTrace.hh.

## EPNAME

#define EPNAME | ( |  | x | ) |

Value:
static const char *epname = x;

Definition at line 57 of file XrdOssTrace.hh.

## QTRACE

#define QTRACE | ( |  | act | ) |

Value:
OssTrace.What & TRACE_ ## act

Definition at line 47 of file XrdOssTrace.hh.

## TRACE

#define TRACE | ( |  | act,
|  |  | x )

Value:
if (QTRACE(act)) {SYSTRACE(OssTrace., tident, epname, 0, x);}
tident
#define tident
Definition XrdBwmHandle.cc:109

Definition at line 49 of file XrdOssTrace.hh.

#define TRACE(act, x) \
if (QTRACE(act)) {SYSTRACE(OssTrace., tident, epname, 0, x);}

## TRACE_AIO

#define TRACE_AIO 0x0004

Definition at line 40 of file XrdOssTrace.hh.

## TRACE_ALL

#define TRACE_ALL 0x0fff

Definition at line 37 of file XrdOssTrace.hh.

## TRACE_Debug

#define TRACE_Debug 0x0800

Definition at line 41 of file XrdOssTrace.hh.

## TRACE_Open

#define TRACE_Open 0x0002

Definition at line 39 of file XrdOssTrace.hh.

Referenced by XrdOssSys::xtrace().

## TRACE_Opendir

#define TRACE_Opendir 0x0001

Definition at line 38 of file XrdOssTrace.hh.

Referenced by XrdOssSys::xtrace().

## TRACEReturn

#define TRACEReturn | ( |  | type,
|  |  | ecode,
|  |  | msg )

Value:
{TRACE(type, "err " <<ecode <<msg); return ecode;}
TRACE
#define TRACE(act, x)
Definition XrdTrace.hh:63

Definition at line 52 of file XrdOssTrace.hh.

#define TRACEReturn(type, ecode, msg) \
{TRACE(type, "err " <<ecode <<msg); return ecode;}